---
title: text-decoration-style
slug: Web/CSS/text-decoration-style
tags:
  - CSS
  - CSS Property
  - CSS Text Decoration
  - Layout
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>text-decoration-style</code></strong> <a href="/en-US/docs/CSS">CSS</a> property sets the style of the lines specified by {{ cssxref("text-decoration-line") }}. The style applies to all lines that are set with <code>text-decoration-line</code>.</p>

<div>{{EmbedInteractiveExample("pages/css/text-decoration-style.html")}}</div>

<p>If the specified decoration has a specific semantic meaning, like a line-through line meaning that some text has been deleted, authors are encouraged to denote this meaning using an HTML tag, like {{ HTMLElement("del") }} or {{ HTMLElement("s") }}. As browsers can disable styling in some cases, the semantic meaning won't disappear in such a situation.</p>

<p>When setting multiple line-decoration properties at once, it may be more convenient to use the {{cssxref("text-decoration")}} shorthand property instead.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
text-decoration-style: solid;
text-decoration-style: double;
text-decoration-style: dotted;
text-decoration-style: dashed;
text-decoration-style: wavy;

/* Global values */
text-decoration-style: inherit;
text-decoration-style: initial;
text-decoration-style: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>solid</dt>
 <dd>Draws a single line.</dd>
 <dt>double</dt>
 <dd>Draws a double line.</dd>
 <dt>dotted</dt>
 <dd>Draws a dotted line.</dd>
 <dt>dashed</dt>
 <dd>Draws a dashed line.</dd>
 <dt>wavy</dt>
 <dd>Draws a wavy line.</dd>
 <dt>-moz-none{{ non-standard_inline }}</dt>
 <dd>Draws no line. Use {{ cssxref("text-decoration-line") }}<code>: none</code> instead.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_wavy_underline">Setting a wavy underline</h3>

<pre class="brush: css notranslate" style="display: none;">.example {
       -moz-text-decoration-line: underline;
       -moz-text-decoration-style: wavy;
       -moz-text-decoration-color: red;
    -webkit-text-decoration-line: underline;
    -webkit-text-decoration-style: wavy;
    -webkit-text-decoration-color: red;
}</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.wavy {
  text-decoration-line: underline;
  text-decoration-style: wavy;
  text-decoration-color: red;
}
</pre>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="wavy"&gt;This text has a wavy red line beneath it.&lt;/p&gt;
</pre>

<h4 id="Results">Results</h4>

<p>{{ EmbedLiveSample('Setting_a_wavy_underline', '', '', '') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Text Decoration', '#text-decoration-style-property', 'text-decoration-style') }}</td>
   <td>{{ Spec2('CSS3 Text Decoration') }}</td>
   <td>Initial definition. The {{cssxref("text-decoration")}} property is now a shorthand to define multiple related properties.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-decoration-style")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>When setting multiple line-decoration properties at once, it may be more convenient to use the {{cssxref("text-decoration")}} shorthand property instead.</li>
</ul>
